Skip to content

Start Fact Check

POST
/api/creative/world-knowledge/fact-check/run

Start a fact-check run on a document or lore entry.

Provide exactly one of documentId or entryId. Poll GET /runs/{run_id} for status until complete.

FactCheckRunRequest

Request to start a fact-check run.

Provide exactly one of document_id or entry_id.

object
documentId
Any of:
string
entryId
Any of:
string

Successful Response

FactCheckRunResponse

Status of a fact-check run.

object
runId
required
Runid
string
documentId
Any of:
string
documentTitle
Documenttitle
string
""
entryId
Any of:
string
entryTitle
Entrytitle
string
""
status
required
Status
string
Allowed values: running complete error
flagCount
required
Flagcount
integer
errorMessage
Any of:
string
ranAt
required
Ranat
integer
completedAt
Any of:
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object